### Method

# Qmi Device list_links

since: 1.28

#### Declaration [src]

    gboolean
    qmi_device_list_links (
      QmiDevice* self,
      const gchar* base_ifname,
      GPtrArray** out_links,
      GError** error
    )

#### Description [src]

Synchronously lists all virtual network interfaces that have been previously created with `qmi_device_add_link()` in `base_ifname`.

Available since: 1.28

#### Parameters

`base_ifname`

  Type: `const gchar*`

  The base interface.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_links`

  Type: An array of `utf8`

  A placeholder for the output `GPtrArray` of link names.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` if `error` is set.